commit:     8589eeb915b0aab6b7c7d1a3a939ef0b571aa62d
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 14 20:21:33 2020 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Fri Aug 14 20:42:10 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8589eeb9

dev-libs/softhsm: Version bump to 2.6.1

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 dev-libs/softhsm/Manifest             |  1 +
 dev-libs/softhsm/softhsm-2.6.1.ebuild | 46 +++++++++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/dev-libs/softhsm/Manifest b/dev-libs/softhsm/Manifest
index fd32042b455..c2da01da50a 100644
--- a/dev-libs/softhsm/Manifest
+++ b/dev-libs/softhsm/Manifest
@@ -1 +1,2 @@
 DIST softhsm-2.5.0.tar.gz 1078439 BLAKE2B 
f96f9e08f3ea568daccb64a5de94ac91b5efcee3dea09f460e98491e7fcdca1277ed52c339a2ec10dac2f78c9e7e44fe5c4a7d36c58e97afba6e749979d4d7e0
 SHA512 
a1e686729196dc25591eb3da57c2c8ea8494ed274ba711842b2dcae696f477a202acda13a975b8fb1eb68e8e44a79e839dbbc6ba500cab02ad13072c660752d9
+DIST softhsm-2.6.1.tar.gz 1066766 BLAKE2B 
0295c5f40235c8abd8879a8c6f7fbe8e8d686ee03355006e9c90c0f2f7135eaf6794a3d39febda1b1ed6e5d48dcacb1e14dae85fb0efb884d0d719bfc6624b92
 SHA512 
e77137096ff2ac2f5396971efbaa2007188855a8f723cb511182c6c5e5a353b3f98297442758e77a18c3a378c0ca3fce8abe090977f0f4f8d526de204fd523fb

diff --git a/dev-libs/softhsm/softhsm-2.6.1.ebuild 
b/dev-libs/softhsm/softhsm-2.6.1.ebuild
new file mode 100644
index 00000000000..41a1b769e85
--- /dev/null
+++ b/dev-libs/softhsm/softhsm-2.6.1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="A software PKCS#11 implementation"
+HOMEPAGE="https://www.opendnssec.org/";
+SRC_URI="https://www.opendnssec.org/files/source/${P}.tar.gz";
+
+KEYWORDS="~alpha ~amd64 ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE="bindist gost libressl migration-tool test"
+RESTRICT="!test? ( test )"
+SLOT="2"
+LICENSE="BSD"
+
+RDEPEND="migration-tool? ( dev-db/sqlite:3= )
+       !libressl? ( dev-libs/openssl:0=[bindist=] )
+       libressl? ( dev-libs/libressl:= )
+       !~dev-libs/softhsm-2.0.0:0"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig
+       sys-devel/gcc:=[cxx]
+       test? ( dev-util/cppunit )"
+
+DOCS=(
+       NEWS
+       README.md
+)
+
+src_configure() {
+       econf \
+               --disable-static \
+               --with-crypto-backend=openssl \
+               --disable-p11-kit \
+               --localstatedir="${EROOT}/var" \
+               $(use_enable !bindist ecc) \
+               $(use_enable gost) \
+               $(use_with migration-tool migrate)
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+
+       keepdir "${EROOT}/var/lib/softhsm/tokens"
+}

Reply via email to